:: Incompatible Mobile Asistant Detection
:: Uncomment following command to skip this feature.

:: goto eof

:: Huawei HiSuite Detection
sc query | findstr "SERVICE_NAME" | findstr /i HiSuiteService > %temp%\mobileassistservice.txt
if %errorlevel%==1 goto skiphws
for /f "tokens=1* delims= " %%i in ( %temp%\mobileassistservice.txt ) do set servname=%%j
del %temp%\mobileassistservice.txt
sc query %servname% | findstr "STATE" | findstr "RUNNING" > nul
if %errorlevel%==1 goto skiphws
echo.
echo %wma0001a%%ma0001%%wma0001b%
echo %ma0001%%wma0002%
echo.
pause
call stopservice.cmd
:skiphws

:: 360 Mobile Assistant Detection
sc query | findstr "SERVICE_NAME" | findstr 360MobileService > %temp%\mobileassistservice.txt
if %errorlevel%==1 goto skip360ma
for /f "tokens=1* delims= " %%i in ( %temp%\mobileassistservice.txt ) do set servname=%%j
del %temp%\mobileassistservice.txt
sc query %servname% | findstr "STATE" | findstr "RUNNING" > nul
if %errorlevel%==1 goto skiphws
echo.
echo %wma0001a%%ma0002%%wma0001b%
echo %ma0002%%wma0002%
echo.
pause
call stopservice.cmd
:skip360ma

:eof